Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.services.assets
Enum CompressionStatus

    java.lang.Object
      java.lang.Enum<CompressionStatus>
          org.apache.tapestry5.services.assets.CompressionStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CompressionStatus>

    public enum CompressionStatus

extends java.lang.Enum<CompressionStatus>

Indicates how the content inside a `StreamableResource` is (potentially) compressed.

Since:
  5.3

Enum Constant Summary
`COMPRESSABLE` The content may be compressed but has not yet been compressed.
`COMPRESSED` The content has been compressed, which must be reflected in the `Response`'s content encoding.
`NOT_COMPRESSABLE` The content is not compressable.

Method Summary
`static CompressionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompressionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPRESSABLE

    public static final CompressionStatus COMPRESSABLE

  The content may be compressed but has not yet been compressed. This is true for most text-oriented content types, but not found most image content types.

### COMPRESSED

    public static final CompressionStatus COMPRESSED

  The content has been compressed, which must be reflected in the `Response`'s content encoding.

### NOT_COMPRESSABLE

    public static final CompressionStatus NOT_COMPRESSABLE

  The content is not compressable. This is usually the case for image content types, where the native format of the content already includes compression.

Method Detail

### values

    public static final CompressionStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CompressionStatus c : CompressionStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CompressionStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.